Subject: bug#70016: Emacs 29.3 treesit-parser-list function parameters differ from the master branch

From: Eli Zaretskii <[email-masked]>
Date: Thu, 28 Mar 2024 09:06:25 +0200

> From: Meow King <[email-masked]>
> Cc: 
> Date: Thu, 28 Mar 2024 10:11:37 +0800
> 
> I rechecked the Emacs 29.2 source code, and found it also accepts one
> parameter, so it may be my mistake since `treesit-parser-list` function
> in Emacs master branch has long ago differs from the Emacs 29's, and there
> is no problem with Emacs 29.3. It's because that I always work on Emacs
> master branch and recently a user of my package reported an issue
> related to Emacs 29.3 -- I think it's a issue for Emacs 29.3 without
> enough confirm. Sorry for the misinformation again.

Forwarding to the bug tracker.

Thanks for telling us.

The question why we changed the signature in Emacs 30 still stands.